Subject: Offline Message from Eva Abdelrhman: Re order 600902270 Hello, I have a ques
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 22 Jun 2020 08:56:19 -0000

From: Eva Abdelrhman <[email-masked]>
Phone: 
Location: Dubai, United Arab Emirates
URL: https://www.mumzworld.com/en/sales/order/history/
Department: 

Re order 600902270

Hello, I have a question about this order. When I was ordering it, it said that if I ordered the same day, I will receive it by 28 June. Once I paid i Got a message that it will arrive on 5 July, which is misleading.

----
Zopim
https://www.zopim.com